package io.accumulatenetwork.sdk.generated.query;

/**
    GENERATED BY go run ./tools/cmd/gen-api. DO NOT EDIT.
**/

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonTypeName;
import io.accumulatenetwork.sdk.protocol.Marshallable;
import io.accumulatenetwork.sdk.support.Marshaller;
// UnionType: 
// UnionValue: 

@JsonIgnoreProperties(ignoreUnknown = true)
@JsonTypeName("ResponseDataEntrySet")
@JsonInclude(JsonInclude.Include.NON_NULL)
public class ResponseDataEntrySet implements Marshallable {
	private ResponseDataEntry[] dataEntries;
	private long total;

    //
	public ResponseDataEntry[] getDataEntries() {
	    return dataEntries;
	}
	public void setDataEntries(final ResponseDataEntry[] value) {
	    this.dataEntries = value;
	}

	public ResponseDataEntrySet dataEntries(final ResponseDataEntry[] value) {
	    setDataEntries(value);
	    return this;
	}
	public long getTotal() {
	    return total;
	}
	public void setTotal(final long value) {
	    this.total = value;
	}

	public ResponseDataEntrySet total(final long value) {
	    setTotal(value);
	    return this;
	}
    public byte[] marshalBinary() {
        final var marshaller = new Marshaller();
        if (!(this.dataEntries == null)) {
            marshaller.writeValue(1, dataEntries);
        }
        if (!(this.total == 0)) {
            marshaller.writeUint(2, this.total);
        }
        return marshaller.array();
    }
}
